﻿@model List<eCommerce.Services.Model.Product>

<!-- Panel -->
<div class="panel">
    <div class="panel-body">
        <table class="editable-table table table-striped" id="editableTable" data-plugin="dataTable">
            <thead>
                <tr>
                    <th>Codigo</th>
                    <th>Categoría</th>
                    <th class="text-right text-nowrap">Mayorista ($)</th>
                    <th class="text-right text-nowrap">Minorista ($)</th>
                    <th class="text-right text-nowrap">Online ($)</th>
                    <th class="text-right">Tope de Desc. (%) </th>
                </tr>
            </thead>
            <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td id="ProductCode">@item.Code</td>
                    <td id="Category">@item.Category.CompleteName</td>
                    <td id="Mayorista" class="text-right">@string.Format("{0:C2}", item.WholesalePrice)</td>
                    <td id="Minorista" class="text-right">@string.Format("{0:C2}", item.RetailPrice)</td>
                    <td id="Online" class="text-right">@string.Format("{0:C2}", item.OnlinePrice)</td>
                    <td id="MaxDiscount-@item.ProductId" class="text-right">@(item.MaxDiscount.HasValue ? item.MaxDiscount.Value.ToString("N") : string.Empty)</td>
                </tr>
            }
            </tbody>
        </table>
    </div>
</div>